DevHeads.net

exiv2-0.27.0 coming to rawhide

Will be working on bringing exiv2-0.27.0 to rawhide over the coming days. Includes both abi and minor api changes.

Tracking progress in
<a href="https://bugzilla.redhat.com/show_bug.cgi?id=1665246" title="https://bugzilla.redhat.com/show_bug.cgi?id=1665246">https://bugzilla.redhat.com/show_bug.cgi?id=1665246</a>

in case anyone's aware of incompatibilities, can block that bug. Thanks.

According to repoquery, affected packages include:
$ dnf repoquery --whatrequires 'libexiv2.so.26()(64bit)' --repoid=rawhide
...
berry-0:1.0.0-8.fc30.x86_64
darktable-0:2.6.0-2.fc30.x86_64
digikam-0:5.9.0-2.fc29.x86_64
geeqie-0:1.4-5.fc29.x86_64
gerbera-0:1.2.0-4.fc30.x86_64
gimp-lensfun-0:0.2.4-9.fc29.x86_64
gipfel-0:0.4.0-17.fc29.x86_64
gnome-color-manager-0:3.30.0-1.fc30.x86_64
gnome-commander-4:1.8.1-1.fc29.x86_64
gpscorrelate-0:1.6.1-25.fc29.x86_64
gthumb-1:3.6.2-1.fc30.x86_64
gwenview-libs-1:18.08.3-1.fc30.x86_64
hugin-0:2018.0.0-5.fc30.x86_64
immix-0:1.3.2-32.fc29.x86_64
kde-runtime-libs-0:17.08.3-9.fc29.x86_64
kf5-kfilemetadata-0:5.53.0-1.fc30.x86_64
kf5-libkexiv2-0:18.12.0-1.fc30.x86_64
kphotoalbum-0:5.2-7.fc29.x86_64
krename-0:5.0.60-1.fc30.x86_64
krita-0:4.1.7-2.fc30.x86_64
libextractor-plugins-exiv2-0:1.6-4.fc28.x86_64
libgexiv2-0:0.10.10-1.fc30.x86_64
librawstudio-0:2.1-0.19.20170414.g003dd4f_rawspeed.20161119.gfa23d1c.fc29.x86_64
luminance-hdr-0:2.5.1-15.fc29.x86_64
merkaartor-0:0.18.3-7.fc29.x86_64
nomacs-0:3.8.1-0.3.20180223git9b305e2.fc29.x86_64
oyranos-libs-0:0.9.5-27.fc29.x86_64
pdf2djvu-0:0.9.11-1.fc30.x86_64
photoqt-0:1.7.1-3.fc29.x86_64
phototonic-0:1.7.21-20161107git24d7b78.fc29.x86_64
pyexiv2-0:0.3.2-36.fc30.x86_64
python3-exiv2-0:0.3.0-2.fc29.x86_64
rawstudio-0:2.1-0.19.20170414.g003dd4f_rawspeed.20161119.gfa23d1c.fc29.x86_64
sir-0:2.5.1-17.fc29.x86_64
ufraw-0:0.22-14.fc29.x86_64
viewnior-0:1.7-3.fc29.x86_64